Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class GroupTableCellRenderer

    java.lang.Object
      edu.udo.cs.miningmart.gui.stepsettings.GroupTableCellRenderer

All Implemented Interfaces:
  javax.swing.table.TableCellRenderer

    public class GroupTableCellRenderer

extends java.lang.Object
implements javax.swing.table.TableCellRenderer

A renderer for the group-table.

Version:
  $Id: GroupTableCellRenderer.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`GroupTableCellRenderer()`

Method Summary
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupTableCellRenderer

    public GroupTableCellRenderer()

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
  See Also:
    `TableCellRenderer.getTableCellRendererComponent(JTable, Object, boolean, boolean, int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005